UHardwareGpsLocation Struct Reference
Functions and types for accessing GPS H/W.

`#include <gps.h>`

Collaboration diagram for UHardwareGpsLocation:

## Data Fields

size_t | size
uint16_t | flags
double | latitude
double | longitude
double | altitude
float | speed
float | bearing
float | accuracy
int64_t | timestamp

## Detailed Description

Models a location as reported by the GPS HAL.

Definition at line 231 of file gps.h.

## Field Documentation

float UHardwareGpsLocation::accuracy

Represents expected accuracy in meters.

Definition at line 248 of file gps.h.

double UHardwareGpsLocation::altitude

Represents altitude in meters above the WGS 84 reference ellipsoid.

Definition at line 242 of file gps.h.

float UHardwareGpsLocation::bearing

Represents heading in degrees.

Definition at line 246 of file gps.h.

uint16_t UHardwareGpsLocation::flags

Contains U_HARDWARE_GPS_LOCATION_* flags bits.

Definition at line 236 of file gps.h.

double UHardwareGpsLocation::latitude

Represents latitude in degrees.

Definition at line 238 of file gps.h.

double UHardwareGpsLocation::longitude

Represents longitude in degrees.

Definition at line 240 of file gps.h.

size_t UHardwareGpsLocation::size

set to sizeof(UHardwareGpsLocation)

Definition at line 234 of file gps.h.

float UHardwareGpsLocation::speed

Represents speed in meters per second.

Definition at line 244 of file gps.h.

int64_t UHardwareGpsLocation::timestamp

Timestamp for the location fix, in milliseconds since January 1, 1970

Definition at line 250 of file gps.h.

The documentation for this struct was generated from the following file:

- /build/platform-api-5s2MVK/platform-api-3.0.1+16.04.20160203/include/ubuntu/hardware/gps.h